Bug 446189 - Cannot set proper resolution with dual head
Cannot set proper resolution with dual head
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 08:28 EDT by Milos Jakubicek
Modified: 2018-04-11 07:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf used (and working fine) in F8 (2.97 KB, text/plain)
2008-05-13 08:28 EDT, Milos Jakubicek
no flags Details
xorg.conf in F9 (The best I've managed in F9) (2.49 KB, text/plain)
2008-05-13 08:29 EDT, Milos Jakubicek
no flags Details
Log file when using xorg.conf_f9 (24.12 KB, text/plain)
2008-05-13 08:31 EDT, Milos Jakubicek
no flags Details

  None (edit)
Description Milos Jakubicek 2008-05-13 08:28:59 EDT
Description of problem:

When connecting an external monitor to my laptop (in order to use the "clone"
mode), I'm unable to set proper resolution on it (1680x1050) -- it starts with
1024x768. This has worked in F8 (see my xorg.conf_f8). I managed to tweak the
xorg.conf a bit, so that I have at least 1200x960 (see xorg.conf_f9, Xorg.0.log)
-- am I doing something wrong?

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.x86_64

How reproducible:

always

Steps to Reproduce:
1. connect the external monitor
2. boot up
  
Actual results:

It starts with 1024x768 (with xorg.conf_f8) or 1200x960 (with xorg.conf_f9) on
the external monitor.

Expected results:

It should start with 1680x1050 on the external monitor, as does F8 (with
xorg.conf_f8)

Additional info:
Comment 1 Milos Jakubicek 2008-05-13 08:28:59 EDT
Created attachment 305231 [details]
xorg.conf used (and working fine) in F8
Comment 2 Milos Jakubicek 2008-05-13 08:29:25 EDT
Created attachment 305232 [details]
xorg.conf in F9 (The best I've managed in F9)
Comment 3 Milos Jakubicek 2008-05-13 08:31:37 EDT
Created attachment 305233 [details]
Log file when using xorg.conf_f9
Comment 4 Matěj Cepl 2008-05-14 02:53:19 EDT
Could you try to set up your dual head with gnome-display-properties (from the
control-center package)? If it doesn't work for you, could you to restart x
without any /etc/X11/xorg.conf and try again, please?

Thanks for filing the  bug
Comment 5 Milos Jakubicek 2008-05-15 04:16:58 EDT
1) gnome-display-properties: When checking the "mirroring" box, I can choose
only 1024x768 for both displays from the combobox. Otherwise I can choose proper
resolutions for both displays. But in both cases clicking on "Apply" doesn't
seem to take any effect (neither the dialog closes, nor anything is written into
xorg.conf).

2) Starting without xorg.conf results in having 1024x768.

Thanks in advance!
Comment 6 Milos Jakubicek 2008-05-29 13:14:41 EDT
As a workaround, after login I can set proper resolution by:

"xrandr --size 1680x1050"

However, I can't use the --output parameter to set this resolution only on the
external monitor (when trying --output LVDS/VGA --size 1680x1050 it doesn't have
any effect).

As a side-effect, when using "xrandr --size 1680x1050", the laptop monitor goes
black.
Comment 7 Bug Zapper 2009-06-09 20:45:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:40:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.